GET /api/v3/lightning/routers/{lcuid}¶
Summary¶
GET /v3/lightning/routers/{lcuid}
Description¶
Get a router by its own lcuid.
Tags: lightning
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): truelightning_device_router(object) Type:object
Properties:
lcuid(string)site_id(string)status(integer)hardware_model(string)serial_number(string)imei(string)iccid(string)eid(string)inventory_id(string)carrier(string)apn(string)firmware_version(string)hostname(string)wg_ip(string)lan_subnet(string)rut_lan_ip(string)device_ip(string)wan_ip_observed(string)wg_public_key(string)admin_user(string)provisioned_at(string)provisioned_by(string)application_id(integer)lightning_device_id(integer)-
options(object) Type:objectProperties:
_init(array)raw_provisioning_payload(object) Type:object
Properties:
-
payload(object) Type:objectProperties:
sms(object) Type:object
Properties:
-
password(string) -
router(object) Type:object
Properties:
hostname(string)admin_user(string)-
admin_password(string) -
network(object) Type:object
Properties:
apn(string)wg_ip(string)carrier(string)-
lan_subnet(string) -
hardware(object) Type:object
Properties:
imei(string)iccid(string)model(string)serial_number(string)-
firmware_version(string) -
wireguard(object) Type:object
Properties:
public_key(string)-
private_key(string) -
provisioned_by(string) schema_version(string)
-
received_at(string)
-
created_at(string) updated_at(string)-
lightning_device(object) Type:objectProperties:
name(string)description(string)device_number(string)device_request_lcuid(string)device_provided_uuid(string)status(integer)options(object) Type:object
Properties:
-
_init(array) -
latitude(string) longitude(string)width(integer)height(integer)digital_board_format(string)venue_taxonomy_id(string)lcuid(string)network_type(string)agency(object) Type:object
Properties:
name(string)description(string)software_provider(string)website(string)status(integer)agency_class(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)support_text(string)proof_legal_text(string)
-
lcuid(string) slug(string)created_at(string)updated_at(string)-
agency_class_description(string) -
vendor_id(string) cached_tags(string)
Example Response¶
{
"success": true,
"lightning_device_router": {
"lcuid": "LCUID-LDRT-a8bb0b2e-d3d5-40d2-8499-7c56413182ad",
"site_id": "LDN-47725-ROUTER",
"status": 1,
"hardware_model": "RUT241",
"serial_number": "SN",
"imei": "IMEI",
"iccid": "ICCID",
"eid": null,
"inventory_id": null,
"carrier": "TMobile",
"apn": "fast.t-mobile.com",
"firmware_version": "RUT2_R_00.07",
"hostname": "router-x",
"wg_ip": "10.250.233.118",
"lan_subnet": "10.154.233.216/30",
"rut_lan_ip": "10.154.233.217",
"device_ip": "10.154.233.218",
"wan_ip_observed": null,
"wg_public_key": "PUB",
"admin_user": "admin",
"provisioned_at": "2026-10-08T21:36:20.000000Z",
"provisioned_by": "tester@example.com",
"application_id": 26197,
"lightning_device_id": 20470,
"options": {
"_init": [],
"raw_provisioning_payload": {
"payload": {
"sms": {
"password": "SMSPWD"
},
"router": {
"hostname": "router-x",
"admin_user": "admin",
"admin_password": "SUPERSECRET"
},
"network": {
"apn": "fast.t-mobile.com",
"wg_ip": "10.250.233.118",
"carrier": "TMobile",
"lan_subnet": "10.154.233.216/30"
},
"hardware": {
"imei": "IMEI",
"iccid": "ICCID",
"model": "RUT241",
"serial_number": "SN",
"firmware_version": "RUT2_R_00.07"
},
"wireguard": {
"public_key": "PUB",
"private_key": "PRIV"
},
"provisioned_by": "tester@example.com",
"schema_version": "1.0"
},
"received_at": "2026-10-08T21:36:20+00:00"
}
},
"created_at": "2026-10-08T21:36:20.000000Z",
"updated_at": "2026-10-08T21:36:20.000000Z",
"lightning_device": {
"name": "router api device",
"description": null,
"device_number": "LDN-47725",
"device_request_lcuid": "LCUID-LDR-e3694b2c-dc6b-4912-9cb6-17d276de8614",
"device_provided_uuid": "FhkTmDSpzdBB0PCd",
"status": 0,
"options": {
"_init": []
},
"latitude": "0.00000000",
"longitude": "0.00000000",
"width": 1024,
"height": 768,
"digital_board_format": null,
"venue_taxonomy_id": null,
"lcuid": "LCUID-LD-e1e67093-0abb-4862-908f-141c7bc37d29",
"network_type": "lightning_device_router",
"agency": {
"name": "Router API Agency",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-cd06a9e8-9f54-4465-a93c-124942252872",
"slug": "TestAgencyUnitTestCksyi",
"created_at": "2026-10-08T21:36:19.000000Z",
"updated_at": "2026-10-08T21:36:20.000000Z",
"agency_class_description": "Operator"
},
"vendor_id": null,
"cached_tags": null
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--url "https://api.lucit.app/api/v3/lightning/routers/{lcuid}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/lightning/routers/{lcuid}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "GET",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lucit.app/api/v3/lightning/routers/{lcuid}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/lightning/routers/{lcuid}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.get(url, headers=headers)
print(response.json())